# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_177870098506678/typer-feedstock/recipe, last modified Wed May 13 19:51:33 2026
# ------------------------------------------------

package:
  name: typer
  version: 0.25.1
source:
  url: https://pypi.org/packages/source/t/typer/typer-0.25.1.tar.gz
  sha256: 9616eb8853a09ffeabab1698952f33c6f29ffdbceb4eaeecf571880e8d7664cc
build:
  number: '0'
  entry_points:
    - typer = typer.cli:main
  script: /home/task_177870098506678/croot/typer_1778701917047/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.3.19 h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.8.0 h7354ed3_0
    - libffi 3.4.8 hc5d346e_2
    - libgcc 15.2.0 h69a1729_7
    - libgcc-ng 15.2.0 h166f726_7
    - libgomp 15.2.0 h4751f2c_7
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx 15.2.0 h39759b7_7
    - libstdcxx-ng 15.2.0 hc03a8fd_7
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 h47b2149_1
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.6 h1b28b03_0
    - packaging 26.0 py314h06a4308_0
    - pdm-backend 2.4.6 py314h893fd2c_0
    - pip 26.0.1 pyh0d26453_1
    - pthread-stubs 0.3 h0ce48e5_1
    - pyproject_hooks 1.2.0 py314h06a4308_1
    - python 3.14.4 h490e9c7_100_cp314
    - python-build 1.3.0 py314h06a4308_1
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - setuptools 82.0.1 py314h06a4308_0
    - sqlite 3.51.2 h3e8d24a_0
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2026a he532380_0
    - wheel 0.46.3 py314h06a4308_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 h47b2149_1
    - zstd 1.5.7 h11fc155_0
  run:
    - annotated-doc >=0.0.2
    - click >=8.2.1
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
    - rich >=13.8.0
    - shellingham >=1.3.0
test:
  source_files:
    - docs_src
    - tests
    - typer
  imports:
    - typer
  requires:
    - coverage
    - pip
    - pytest
  commands:
    - pip check
    - typer --version
    - typer --help
    - coverage run --source=typer --branch -m pytest tests -vv --color=yes --tb=long
      -k "not ((multiple_values and main) or completion or invalid_score)"  --deselect=tests/test_tracebacks.py::test_rich_exceptions_dont_truncate_code_on_wide_terminal
      --deselect=tests/test_tutorial/test_printing/test_tutorial001.py::test_cli --deselect=tests/test_tutorial/test_printing/test_tutorial002.py::test_cli
about:
  home: https://github.com/fastapi/typer
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: A library for building CLI applications
  description: 'Typer is library for building CLI applications that users will love
    using and developers will love creating. Based on Python type hints.


    The key features are:


    Intuitive to write: Great editor support. Completion everywhere. Less time debugging.
    Designed to be easy to use and learn. Less time reading docs.

    Easy to use: It''s easy to use for the final users. Automatic help, and automatic
    completion for all shells.

    Short: Minimize code duplication. Multiple features from each parameter declaration.
    Fewer bugs.

    Start simple: The simplest example adds only 2 lines of code to your app: 1 import,
    1 function call.

    Grow large: Grow in complexity as much as you want, create arbitrarily complex
    trees of commands and groups of subcommands, with options and arguments.

    '
  doc_url: https://typer.tiangolo.com
  dev_url: https://github.com/fastapi/typer
extra:
  recipe-maintainers:
    - bollwyvl
    - dfornika
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/typer-feedstock
  sha: 68c9bade39cf72f67918633f21c9bc320fd25ee8
  task_id: QXFDpEYkQ8yvlEA2ybAr4g
  task_run_id: '0'
  pbp_graph_uuid: bfac2994-87cf-4d2a-b852-fee1280e01cd
